Subject: Re: changing default text type without reinstall?
From: Steinar Bang <[email-masked]>
To: [email-masked]
Date: Wed, 06 Feb 2002 08:51:04 +0100

>>>>> "Michael A Chase" <[email-masked]>:

>>> "Steinar Bang" <[email-masked]> wrote:

>> Platform: CygWin 1.3.2, CygWin/XFree86 4.1.0, Win2k

>> Is it possible to change from text type "Unix" to text type "DOS",
>> without reinstall?

> mount --help

I'm guessing "mount -t" is what I should use?  The explanation is
"text files get \r\n line endings".

But I am unsure of how I should use this command.  What exactly does
it do?  Does it insert a translation between the file system and the
cygwin programs?

Will just running the mount command make the change persistent?  I
didn't find anything under /etc or /usr/etc that looked like a mount
table.

I am also usure of what directories I should run it on.  When I run
the command with no arguments, I get this response
	~$ mount
	C:\cygwin\bin on /usr/bin type system (binmode)
	C:\cygwin\lib on /usr/lib type system (binmode)
	C:\cygwin on / type system (binmode)
	c: on /cygdrive/c type user (binmode,noumount)
        d: on /cygdrive/d type user (binmode,noumount)
	~$ 

I tried changing the mode of the /home directory
	~$ mount -t c:\cygwin\home /home
	mount: /home: Invalid argument

I tried changing the mode of the root directory
	~$ mount -t c:\cygwin  /
	mount: warning: user mount point of '/' masks system mount.
	mount: /: Invalid argument

I tried seeing if I could change all directories.
	~$ mount -t
	mount: too many arguments

Thanx!

- Steinar

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/